window.Gleam.initSearch([{"doc":"glog","title":"glog","content":"# glog\n\n[![Package Version](https://img.shields.io/hexpm/v/glog)](https://hex.pm/packages/glog)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glog/)\n\nA Gleam implementation of Erlang logger inspired from [Logrus](https://github.com/sirupsen/logrus) API.\n\n![](assets/small_glog_logo.png)\n\n\n## Task List\n- [ ] Write documentation\n- [ ] Add unit tests\n- [ ] Improve API with `add_error`, `add_result` `add_ooption`...\n- [ ] Add an API to configure the logger easier and deeper\n\n## Quick start\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## Installation\n\nThis package can be added to your Gleam project:\n\n```sh\ngleam add glog\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/glog&gt;.\n","url":"index.html"},{"doc":"glog/level","title":"Alert","content":"pub external type Alert\n\n\nSynonyms:\nglog/level.Alert\nglog/level Alert","url":"glog/level.html#Alert"},{"doc":"glog/level","title":"All","content":"pub external type All\n\n\nSynonyms:\nglog/level.All\nglog/level All","url":"glog/level.html#All"},{"doc":"glog/level","title":"Critical","content":"pub external type Critical\n\n\nSynonyms:\nglog/level.Critical\nglog/level Critical","url":"glog/level.html#Critical"},{"doc":"glog/level","title":"Debug","content":"pub external type Debug\n\n\nSynonyms:\nglog/level.Debug\nglog/level Debug","url":"glog/level.html#Debug"},{"doc":"glog/level","title":"Emergency","content":"pub external type Emergency\n\n\nSynonyms:\nglog/level.Emergency\nglog/level Emergency","url":"glog/level.html#Emergency"},{"doc":"glog/level","title":"Error","content":"pub external type Error\n\n\nSynonyms:\nglog/level.Error\nglog/level Error","url":"glog/level.html#Error"},{"doc":"glog/level","title":"Info","content":"pub external type Info\n\n\nSynonyms:\nglog/level.Info\nglog/level Info","url":"glog/level.html#Info"},{"doc":"glog/level","title":"Level","content":"pub type Level {\n  Emergency\n  Alert\n  Critical\n  Error\n  Warning\n  Notice\n  Info\n  Debug\n}\n\nEmergency\n\n\nAlert\n\n\nCritical\n\n\nError\n\n\nWarning\n\n\nNotice\n\n\nInfo\n\n\nDebug\n\n\nSynonyms:\nglog/level.Level\nglog/level Level","url":"glog/level.html#Level"},{"doc":"glog/level","title":"LevelConfig","content":"pub type LevelConfig {\n  Level\n  All\n  None\n}\n\nLevel\n\n\nAll\n\n\nNone\n\n\nSynonyms:\nglog/level.LevelConfig\nglog/level LevelConfig","url":"glog/level.html#LevelConfig"},{"doc":"glog/level","title":"None","content":"pub external type None\n\n\nSynonyms:\nglog/level.None\nglog/level None","url":"glog/level.html#None"},{"doc":"glog/level","title":"Notice","content":"pub external type Notice\n\n\nSynonyms:\nglog/level.Notice\nglog/level Notice","url":"glog/level.html#Notice"},{"doc":"glog/level","title":"Warning","content":"pub external type Warning\n\n\nSynonyms:\nglog/level.Warning\nglog/level Warning","url":"glog/level.html#Warning"},{"doc":"glog/level","title":"glog/level","content":"","url":"glog/level.html"},{"doc":"glog/config","title":"Config","content":"pub opaque type Config\n\n\nSynonyms:\nglog/config.Config\nglog/config Config","url":"glog/config.html#Config"},{"doc":"glog/config","title":"new","content":"pub fn new(key: String, value: a) -&gt; Config\n\nSynonyms:\nglog/config.new\nglog/config new","url":"glog/config.html#new"},{"doc":"glog/config","title":"set_level","content":"pub fn set_level(c: Config, value: LevelConfig) -&gt; Map(\n  Atom,\n  Dynamic,\n)\n\nSynonyms:\nglog/config.set_level\nglog/config set_level","url":"glog/config.html#set_level"},{"doc":"glog/config","title":"glog/config","content":"","url":"glog/config.html"},{"doc":"glog/field","title":"Field","content":"pub opaque type Field\n\n\nSynonyms:\nglog/field.Field\nglog/field Field","url":"glog/field.html#Field"},{"doc":"glog/field","title":"Fields","content":"pub type Fields {\n  Fields(List(Field))\n}\n\nFields(List(Field))\n\n\nSynonyms:\nglog/field.Fields\nglog/field Fields","url":"glog/field.html#Fields"},{"doc":"glog/field","title":"key","content":"pub fn key(field: Field) -&gt; String\n\nSynonyms:\nglog/field.key\nglog/field key","url":"glog/field.html#key"},{"doc":"glog/field","title":"new","content":"pub fn new(key: String, value: a) -&gt; Field\n\nSynonyms:\nglog/field.new\nglog/field new","url":"glog/field.html#new"},{"doc":"glog/field","title":"value","content":"pub fn value(field: Field) -&gt; Dynamic\n\nSynonyms:\nglog/field.value\nglog/field value","url":"glog/field.html#value"},{"doc":"glog/field","title":"glog/field","content":"","url":"glog/field.html"},{"doc":"glog/arg","title":"Arg","content":"pub opaque type Arg\n\n\nSynonyms:\nglog/arg.Arg\nglog/arg Arg","url":"glog/arg.html#Arg"},{"doc":"glog/arg","title":"Args","content":"pub type Args {\n  Args(List(Arg))\n}\n\nArgs(List(Arg))\n\n\nSynonyms:\nglog/arg.Args\nglog/arg Args","url":"glog/arg.html#Args"},{"doc":"glog/arg","title":"new","content":"pub fn new(value: a) -&gt; Arg\n\nSynonyms:\nglog/arg.new\nglog/arg new","url":"glog/arg.html#new"},{"doc":"glog/arg","title":"value","content":"pub fn value(field: Arg) -&gt; Dynamic\n\nSynonyms:\nglog/arg.value\nglog/arg value","url":"glog/arg.html#value"},{"doc":"glog/arg","title":"glog/arg","content":"","url":"glog/arg.html"},{"doc":"glog","title":"Glog","content":"pub opaque type Glog\n\n\nSynonyms:\nglog.Glog\nglog Glog","url":"glog.html#Glog"},{"doc":"glog","title":"add","content":"pub fn add(logger: Glog, key: String, value: a) -&gt; Glog\n\nSynonyms:\nglog.add\nglog add","url":"glog.html#add"},{"doc":"glog","title":"add_field","content":"pub fn add_field(logger: Glog, f: Field) -&gt; Glog\n\nSynonyms:\nglog.add_field\nglog add_field","url":"glog.html#add_field"},{"doc":"glog","title":"add_fields","content":"pub fn add_fields(logger: Glog, f: Fields) -&gt; Glog\n\nSynonyms:\nglog.add_fields\nglog add_fields","url":"glog.html#add_fields"},{"doc":"glog","title":"alert","content":"pub fn alert(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.alert\nglog alert","url":"glog.html#alert"},{"doc":"glog","title":"alertf","content":"pub fn alertf(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.alertf\nglog alertf","url":"glog.html#alertf"},{"doc":"glog","title":"critical","content":"pub fn critical(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.critical\nglog critical","url":"glog.html#critical"},{"doc":"glog","title":"criticalf","content":"pub fn criticalf(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.criticalf\nglog criticalf","url":"glog.html#criticalf"},{"doc":"glog","title":"debug","content":"pub fn debug(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.debug\nglog debug","url":"glog.html#debug"},{"doc":"glog","title":"debugf","content":"pub fn debugf(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.debugf\nglog debugf","url":"glog.html#debugf"},{"doc":"glog","title":"emergency","content":"pub fn emergency(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.emergency\nglog emergency","url":"glog.html#emergency"},{"doc":"glog","title":"emergencyf","content":"pub fn emergencyf(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.emergencyf\nglog emergencyf","url":"glog.html#emergencyf"},{"doc":"glog","title":"error","content":"pub fn error(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.error\nglog error","url":"glog.html#error"},{"doc":"glog","title":"errorf","content":"pub fn errorf(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.errorf\nglog errorf","url":"glog.html#errorf"},{"doc":"glog","title":"info","content":"pub fn info(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.info\nglog info","url":"glog.html#info"},{"doc":"glog","title":"infof","content":"pub fn infof(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.infof\nglog infof","url":"glog.html#infof"},{"doc":"glog","title":"new","content":"pub fn new() -&gt; Glog\n\nSynonyms:\nglog.new\nglog new","url":"glog.html#new"},{"doc":"glog","title":"notice","content":"pub fn notice(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.notice\nglog notice","url":"glog.html#notice"},{"doc":"glog","title":"noticef","content":"pub fn noticef(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.noticef\nglog noticef","url":"glog.html#noticef"},{"doc":"glog","title":"warning","content":"pub fn warning(logger: Glog, message: String) -&gt; Glog\n\nSynonyms:\nglog.warning\nglog warning","url":"glog.html#warning"},{"doc":"glog","title":"warningf","content":"pub fn warningf(logger: Glog, string: String, values: Args) -&gt; Glog\n\nSynonyms:\nglog.warningf\nglog warningf","url":"glog.html#warningf"},{"doc":"glog","title":"glog","content":"","url":"glog.html"}]);